Qwt User's Guide 6.0.2

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
QwtSetSeriesData Class Reference

`#include <qwt_series_data.h>`

Inheritance diagram for QwtSetSeriesData:
[legend]

List of all members.

## Public Member Functions

| QwtSetSeriesData (const QVector< QwtSetSample > &=QVector< QwtSetSample >())
virtual QRectF | boundingRect () const
Public Member Functions inherited from QwtArraySeriesData< QwtSetSample >
| QwtArraySeriesData ()
| QwtArraySeriesData (const QVector< QwtSetSample > &samples)
virtual QwtSetSample | sample (size_t index) const
const QVector< QwtSetSample > | samples () const
void | setSamples (const QVector< QwtSetSample > &samples)
virtual size_t | size () const
Public Member Functions inherited from QwtSeriesData< QwtSetSample >
| QwtSeriesData ()
virtual | ~QwtSeriesData ()
virtual void | setRectOfInterest (const QRectF &rect)

## Additional Inherited Members

Protected Attributes inherited from QwtArraySeriesData< QwtSetSample >
QVector< QwtSetSample > | d_samples
Protected Attributes inherited from QwtSeriesData< QwtSetSample >
QRectF | d_boundingRect

## Detailed Description

Interface for iterating over an array of samples.

## Constructor & Destructor Documentation

QwtSetSeriesData::QwtSetSeriesData | ( | const QVector< QwtSetSample > & | samples = `QVector<QwtSetSample>()` | ) |

Constructor

Parameters:

  samples | Samples

## Member Function Documentation

QRectF QwtSetSeriesData::boundingRect | ( |  | ) | const

virtual

Calculate the bounding rect.

The bounding rectangle is calculated once by iterating over all points and is stored for all following requests.

Returns:
  Bounding rectangle

Implements QwtSeriesData< QwtSetSample >.